Bug 226910 - User authentication problem when nscd is not running
User authentication problem when nscd is not running
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-01 18:32 EST by Tomas Edwardsson
Modified: 2008-05-06 15:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Edwardsson 2007-02-01 18:32:20 EST
Description of problem:
Logging into ssh as a ldap user (root login works) is not possible when nscd is
not running and bind_policy in /etc/ldap.conf is set to soft.

/var/log/secure:
Feb  1 23:24:00 phe sshd[13047]: Accepted password for hp-tommi from 10.1.1.26
port 46986 ssh2
Feb  1 23:24:00 phe sshd[13049]: pam_unix(sshd:session): session opened for user
hp-tommi by (uid=0)
Feb  1 23:24:00 phe sshd[13047]: nss_ldap: could not search LDAP server - Server
is unavailable
Feb  1 23:24:00 phe sshd[13047]: fatal: login_get_lastlog: Cannot find account
for uid 1001
Feb  1 23:24:00 phe sshd[13047]: syslogin_perform_logout: logout() returned an error
Feb  1 23:24:00 phe sshd[13049]: pam_unix(sshd:session): session closed for user
hp-tommi

Starting nscd or commenting out "bind_policy soft" from /etc/ldap.conf resolves
the problem.

Version-Release number of selected component (if applicable):
nss_ldap-249-1.i386
Comment 1 Bug Zapper 2008-04-04 02:03:40 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:08:51 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.